diff -Naur Doomsday Data Files.old/db/events/japan.txt Doomsday Data Files/db/events/japan.txt
--- Doomsday Data Files.old/db/events/japan.txt	2008-11-15 09:43:19.000000000 +0100
+++ Doomsday Data Files/db/events/japan.txt	2008-12-01 21:31:17.000000000 +0100
@@ -77,7 +77,7 @@
 	
 	date = { day = 2 month = january year = 1936 }
 	offset = 7
-	deathdate = { day = 30 month = december year = 1963 }
+	deathdate = { day = 30 month = december year = 1947 }
 	
 	action_a = {
 		name = "ACTIONNAME3802A" # That will hurt us more than them!
@@ -128,7 +128,6 @@
 
 		NOT = {
 			war = { country = FRA country = JAP }
-			event = 3826
 		      }
 	}
 	
@@ -329,7 +328,7 @@
 	
 	date = { day = 1 month = january year = 1936 }
 	offset = 30
-	deathdate = { day = 30 month = december year = 1963 }
+	deathdate = { day = 30 month = december year = 1947 }
 	
 	name = "EVT_3806_NAME"
 	desc = "EVT_3806_DESC"
@@ -382,7 +381,7 @@
 	
 	date = { day = 1 month = january year = 1936 }
 	offset = 30
-	deathdate = { day = 30 month = december year = 1963 }
+	deathdate = { day = 30 month = december year = 1947 }
 	
 	action_a = {
 		name = "ACTIONNAME3807A" # Lean on Siam
@@ -414,7 +413,7 @@
 
 	date = { day = 1 month = january year = 1936 }
 	offset = 2
-	deathdate = { day = 30 month = december year = 1963 }
+	deathdate = { day = 30 month = december year = 1947 }
 	
 	name = "EVT_3808_NAME"
 	desc = "EVT_3808_DESC"
@@ -550,6 +549,14 @@
 	random = no
 	country = JAP
 
+	trigger = {
+		event = 3898
+	}
+
+	date = { day = 0 month = january year = 1936 }
+	offset = 11
+	deathdate = { day = 30 month = december year = 1953 }
+
 	name = "EVT_3816_NAME"
 	desc = "EVT_3816_DESC"
 	style = 0
@@ -568,6 +575,14 @@
 	random = no
 	country = JAP
 
+	trigger = {
+		event = 3899
+	}
+
+	date = { day = 0 month = january year = 1936 }
+	offset = 11
+	deathdate = { day = 30 month = december year = 1953 }
+
 	name = "EVT_3817_NAME"
 	desc = "EVT_3817_DESC"
 	style = 0
@@ -623,7 +638,8 @@
 	action_a = {
 		ai_chance = 100
 		name = "OK" #
-		command = { type = trigger which = 3816 }
+		# command = { type = trigger which = 3816 }
+		command = { type = trigger which = 3898 }
 	}
 }
 event = {
@@ -639,7 +655,8 @@
 	action_a = {
 		ai_chance = 100
 		name = "OK" #
-		command = { type = trigger which = 3817 }
+		# command = { type = trigger which = 3817 }
+		command = { type = trigger which = 3899 }
 	}
 }
 
@@ -823,7 +840,7 @@
 
 	date = { day = 1 month = january year = 1936 }
 	offset = 1
-	deathdate = { day = 3 month = january year = 1963 }
+	deathdate = { day = 3 month = january year = 1948 }
 
 	name = "EVT_3831_NAME"
 	desc = "EVT_3831_DESC"
@@ -1004,4 +1021,35 @@
 
 	}
 
+#######################
+# Extra events by DAIM
+#######################
+event = { 
+	id = 3898
+	random = no
+	country = JAP
+
+	name = "Please save and reload now if you want that the puppeted China has leaders! (DAIM) "
+	desc = "If you save and reload right now, the soon to be released Japanese puppet Nationalist China will have leaders (no joke!)"
+	style = 0
+
+	action_a = {
+		name = "Yes, I'll save and reload right after clicking this button"
+		command = { }
+	}
+}
+
+event = { 
+	id = 3899
+	random = no
+	country = JAP
+	
+	name = "Please save and reload now if you want that the puppeted China has leaders! (DAIM) "
+	desc = "If you save and reload right now, the soon to be released Japanese puppet Nationalist China will have leaders (no joke!)"
+	style = 0
 
+	action_a = {
+		name = "Yes, I'll save and reload right after clicking this button"
+		command = {  }
+	}
+}
diff -Naur Doomsday Data Files.old/db/events/nationalist_china.txt Doomsday Data Files/db/events/nationalist_china.txt
--- Doomsday Data Files.old/db/events/nationalist_china.txt	2008-08-24 22:12:58.000000000 +0200
+++ Doomsday Data Files/db/events/nationalist_china.txt	2008-12-01 21:31:17.000000000 +0100
@@ -138,7 +138,7 @@
 
 	date = { day = 1 month = january year = 1936 }
 	offset = 14
-	deathdate = { day = 30 month = december year = 1963 }
+	deathdate = { day = 30 month = december year = 1948 }
 
 	action_a = {
 		name = "YES"
@@ -200,7 +200,7 @@
 
 	date = { day = 1 month = january year = 1936 }
 	offset = 7
-	deathdate = { day = 30 month = december year = 1963 }
+	deathdate = { day = 30 month = december year = 1948 }
 
 	action_a = {
 		name = "EVT_27008_A"
@@ -281,7 +281,7 @@
 
         date = { day = 0 month = january year = 1936 }
         offset = 10
-	deathdate = { day = 29 month = december year = 1963 }
+	deathdate = { day = 29 month = december year = 1947 }
 
 	action_a = {
 		ai_chance = 100
@@ -347,42 +347,52 @@
 		command = { type = sleepminister which = 52022 }
 		command = { type = sleepteam which = 1006 } 
 
-		command = { type = secedeprovince which = JAP value = 1282 } # 
-
-		command = { type = secedeprovince which = JAP value = 1313 } # 
-		command = { type = secedeprovince which = JAP value = 1314 } # 
-		command = { type = secedeprovince which = JAP value = 1315 } # 
-		command = { type = secedeprovince which = JAP value = 1316 } # 
-
-		command = { type = secedeprovince which = JAP value = 1321 } # 
-		command = { type = secedeprovince which = JAP value = 1439 } # 
-		command = { type = secedeprovince which = JAP value = 1322 } # 
-		command = { type = secedeprovince which = JAP value = 1323 } # 
-		command = { type = secedeprovince which = JAP value = 1324 } # 
-
 		command = { type = secedeprovince which = JAP value = 1213 } # 
 		command = { type = secedeprovince which = JAP value = 1214 } # 
 		command = { type = secedeprovince which = JAP value = 1215 } # 
 		command = { type = secedeprovince which = JAP value = 1216 } # 
 		command = { type = secedeprovince which = JAP value = 1217 } # 
-
-
 		command = { type = secedeprovince which = JAP value = 1237 } # 
+		command = { type = secedeprovince which = JAP value = 1282 } # 
 		command = { type = secedeprovince which = JAP value = 1293 } # 
 		command = { type = secedeprovince which = JAP value = 1294 } # 
 		command = { type = secedeprovince which = JAP value = 1305 } # 
+		command = { type = secedeprovince which = JAP value = 1313 } # 
+		command = { type = secedeprovince which = JAP value = 1314 } # 
+		command = { type = secedeprovince which = JAP value = 1315 } # 
+		command = { type = secedeprovince which = JAP value = 1316 } # 
+		command = { type = secedeprovince which = JAP value = 1321 } # 
+		command = { type = secedeprovince which = JAP value = 1322 } # 
+		command = { type = secedeprovince which = JAP value = 1323 } # 
+		command = { type = secedeprovince which = JAP value = 1324 } # 
+		command = { type = secedeprovince which = JAP value = 1439 } # 
 		command = { type = secedeprovince which = JAP value = 1444 } # 
 
-		command = { type = secedeprovince which = JAP value = 1307 } # 
-		command = { type = secedeprovince which = JAP value = 1308 } # 
-		command = { type = secedeprovince which = JAP value = 1327 } # 
-		command = { type = secedeprovince which = JAP value = 1309 } # 
-		command = { type = secedeprovince which = JAP value = 1319 } # 
-
-		command = { type = secedeprovince which = JAP value = 1325 } # 
-		command = { type = secedeprovince which = JAP value = 1320 } # 
-		command = { type = secedeprovince which = JAP value = 1318 } # 
-		command = { type = secedeprovince which = JAP value = 1317 } # 
+		# added by DAIM to prevent convoy problems
+		command = { type = secedeprovince which = JAP value = 1203 }
+		command = { type = secedeprovince which = JAP value = 1204 }
+		command = { type = secedeprovince which = JAP value = 1219 }
+		command = { type = secedeprovince which = JAP value = 1220 }
+		command = { type = secedeprovince which = JAP value = 1236 }
+		command = { type = secedeprovince which = JAP value = 1238 }
+		command = { type = secedeprovince which = JAP value = 1239 }
+		command = { type = secedeprovince which = JAP value = 1240 }
+		command = { type = secedeprovince which = JAP value = 1241 }
+		command = { type = secedeprovince which = JAP value = 1243 }
+		command = { type = secedeprovince which = JAP value = 1244 }
+		command = { type = secedeprovince which = JAP value = 1245 }
+		command = { type = secedeprovince which = JAP value = 1246 }
+		command = { type = secedeprovince which = JAP value = 1247 }
+		command = { type = secedeprovince which = JAP value = 1248 }
+		command = { type = secedeprovince which = JAP value = 1249 }
+		command = { type = secedeprovince which = JAP value = 1307 }
+		command = { type = secedeprovince which = JAP value = 1309 }
+		command = { type = secedeprovince which = JAP value = 1317 }
+		command = { type = secedeprovince which = JAP value = 1318 }
+		command = { type = secedeprovince which = JAP value = 1319 }
+		command = { type = secedeprovince which = JAP value = 1320 }
+		command = { type = secedeprovince which = JAP value = 1325 }
+		command = { type = secedeprovince which = JAP value = 1327 }
 
 		command = { type = sleepevent which = 7005 }
 
@@ -443,7 +453,7 @@
 
         date = { day = 0 month = january year = 1936 }
         offset = 10
-	deathdate = { day = 29 month = december year = 1963 }
+	deathdate = { day = 29 month = december year = 1947 }
 
 	action_a = {
 		ai_chance = 100
@@ -509,7 +519,7 @@
 
         date = { day = 0 month = january year = 1936 }
         offset = 5
-	  deathdate = { day = 29 month = december year = 1963 }
+	  deathdate = { day = 29 month = december year = 1947 }
 
 	action_a = {
 		ai_chance = 100
@@ -585,7 +595,7 @@
 
 	date = { day = 0 month = january year = 1936 }
 	offset = 10
-	deathdate = { day = 29 month = december year = 1963 }
+	deathdate = { day = 29 month = december year = 1953 }
 
 	action_a = {
 		ai_chance = 90
@@ -623,7 +633,7 @@
 
 	date = { day = 0 month = january year = 1936 }
 	offset = 10
-	deathdate = { day = 29 month = december year = 1963 }
+	deathdate = { day = 29 month = december year = 1953 }
 
 	action_a = {
 		name = EVT_86_ACTA
@@ -658,7 +668,7 @@
 
 	date = { day = 0 month = january year = 1936 }
 	offset = 10
-	deathdate = { day = 29 month = december year = 1963 }
+	deathdate = { day = 29 month = december year = 1953 }
 
 	action_a = {
 		name = EVT_86_ACTA
@@ -699,7 +709,7 @@
 
 	date = { day = 0 month = january year = 1936 }
 	offset = 10
-	deathdate = { day = 29 month = december year = 1963 }
+	deathdate = { day = 29 month = december year = 1953 }
 
 	action_a = {
 		name = EVT_86_ACTA
@@ -737,7 +747,7 @@
 
 	date = { day = 0 month = january year = 1936 }
 	offset = 10
-	deathdate = { day = 29 month = december year = 1963 }
+	deathdate = { day = 29 month = december year = 1953 }
 
 	action_a = {
 		name = EVT_86_ACTA
@@ -774,7 +784,7 @@
 
 	date = { day = 0 month = january year = 1936 }
 	offset = 10
-	deathdate = { day = 29 month = december year = 1963 }
+	deathdate = { day = 29 month = december year = 1953 }
 
 	action_a = {
 		name = EVT_86_ACTA
diff -Naur Doomsday Data Files.old/scenarios/1936.eug Doomsday Data Files/scenarios/1936.eug
--- Doomsday Data Files.old/scenarios/1936.eug	2008-08-25 23:43:38.000000000 +0200
+++ Doomsday Data Files/scenarios/1936.eug	2008-12-01 21:31:17.000000000 +0100
@@ -1059,3 +1059,12 @@
 include = "scenarios\1936\venezuela.inc"
 include = "scenarios\1936\yem.inc"
 include = "scenarios\1936\yugoslavia.inc"
+
+# DAIM AI switch events
+event = "db\events\AI_switches_CHI.txt"
+event = "db\events\AI_switches_ENG.txt"
+event = "db\events\AI_switches_GER.txt"
+event = "db\events\AI_switches_ITA.txt"
+event = "db\events\AI_switches_JAP.txt"
+event = "db\events\AI_switches_SOV.txt"
+event = "db\events\AI_switches_USA.txt"
diff -Naur Doomsday Data Files.old/scenarios/1938.eug Doomsday Data Files/scenarios/1938.eug
--- Doomsday Data Files.old/scenarios/1938.eug	2008-08-25 23:43:38.000000000 +0200
+++ Doomsday Data Files/scenarios/1938.eug	2008-12-01 21:31:17.000000000 +0100
@@ -1298,3 +1298,12 @@
 event = "db\events\AI_USA.txt"
 event = "db\events\AI_VEN.txt"
 event = "db\events\AI_YUG.txt"
+
+# DAIM AI switch events
+event = "db\events\AI_switches_CHI.txt"
+event = "db\events\AI_switches_ENG.txt"
+event = "db\events\AI_switches_GER.txt"
+event = "db\events\AI_switches_ITA.txt"
+event = "db\events\AI_switches_JAP.txt"
+event = "db\events\AI_switches_SOV.txt"
+event = "db\events\AI_switches_USA.txt"
diff -Naur Doomsday Data Files.old/scenarios/1939.eug Doomsday Data Files/scenarios/1939.eug
--- Doomsday Data Files.old/scenarios/1939.eug	2008-08-25 23:43:38.000000000 +0200
+++ Doomsday Data Files/scenarios/1939.eug	2008-12-01 21:31:17.000000000 +0100
@@ -929,3 +929,12 @@
 
 # Data for provinces, currently not owned by any nation
 include = "scenarios\1939\provinces.inc"
+
+# DAIM AI switch events
+event = "db\events\AI_switches_CHI.txt"
+event = "db\events\AI_switches_ENG.txt"
+event = "db\events\AI_switches_GER.txt"
+event = "db\events\AI_switches_ITA.txt"
+event = "db\events\AI_switches_JAP.txt"
+event = "db\events\AI_switches_SOV.txt"
+event = "db\events\AI_switches_USA.txt"
